
import cupy as cp 
import numpy as np
import time


def matrix_add(matrix, a, b, times):
    #矩阵的相加
    for _ in range(times):
        c = matrix.add(a,b)
    return c
    


if __name__ == "__main__":

    h, w = 10000, 10000
    a = np.random.normal(size=h*w)
    a = a.reshape((h,w))
    b = np.random.normal(size=h*w)
    b = b.reshape((h,w))
    start_time = time.time()
    matrix_add(np, a, b, 100)
    end_time = time.time()
    print("使用numpy(cpu): {0} sec".format(end_time-start_time))

    a = cp.random.normal(size=h*w)
    a = a.reshape((h,w))
    b = cp.random.normal(size=h*w)
    b = b.reshape((h,w))
    start_time = time.time()
    matrix_add(cp, a, b, 100)
    end_time = time.time()
    print("使用cupy(gpu): {0} sec".format(end_time-start_time))
    
    
    
